/*
// Created by Tiny on 3/14/2021.
*/

#ifndef INSAGAME_TEST_PERSONNAGE_H
#define INSAGAME_TEST_PERSONNAGE_H

#include <gtest/gtest.h>
extern "C"{
#include "personnage.h"
}

TEST(test_init_personnage,values_3_3_3_3_3_testimage){
	int times=500000000;
    Personnage person;
    init_pers(&person,3,3,3,3,3,"testimage");
    EXPECT_EQ(3,person.x_pers);
    EXPECT_EQ(3,person.y_pers);
    EXPECT_EQ(3,person.long_pers);
    EXPECT_EQ(3,person.larg_pers);
    EXPECT_STREQ("testimage",person.image_pers);
    EXPECT_EQ(0,person.direction_personnage.up);
    EXPECT_EQ(0,person.direction_personnage.down);
    EXPECT_EQ(0,person.direction_personnage.left);
    EXPECT_EQ(0,person.direction_personnage.right);
    EXPECT_EQ(3,person.life);
	while(times>0) times--;                        //this do nothing but it looks cool ^^
}
TEST(test_calcul_point,values_3_3){
	int times=500000000;
    Personnage person;
    init_pers(&person,3,3,3,3,3,"testimage");
    calcul_points_pers(&person);
    EXPECT_EQ(6,person.x_hr);
    EXPECT_EQ(3,person.y_hr);
    EXPECT_EQ(3,person.x_ll);
    EXPECT_EQ(6,person.y_ll);
    EXPECT_EQ(6,person.x_lr);
    EXPECT_EQ(6,person.y_lr);
	while(times>0) times--;
}

#endif /*INSAGAME_TEST_PERSONNAGE_H*/
